Upstream information

CVE-2020-15210 at MITRE

Description

In tensorflow-lite before versions 1.15.4, 2.0.3, 2.1.2, 2.2.1 and 2.3.1, if a TFLite saved model uses the same tensor as both input and output of an operator, then, depending on the operator, we can observe a segmentation fault or just memory corruption. We have patched the issue in d58c96946b and will release patch releases for all versions between 1.15 and 2.3. We recommend users to upgrade to TensorFlow 1.15.4, 2.0.3, 2.1.2, 2.2.1, or 2.3.1.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:N/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.5
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact Low
Availability Impact High
CVSSv3 Version 3.1
No SUSE Bugzilla entries cross referenced.

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 15.2
  • libtensorflow2 >= 2.1.2-lp152.7.3.1
  • libtensorflow2-debuginfo >= 2.1.2-lp152.7.3.1
  • libtensorflow2-gnu-hpc >= 2.1.2-lp152.7.3.1
  • libtensorflow2-gnu-hpc-debuginfo >= 2.1.2-lp152.7.3.1
  • libtensorflow2-gnu-openmpi2-hpc >= 2.1.2-lp152.7.3.1
  • libtensorflow2-gnu-openmpi2-hpc-debuginfo >= 2.1.2-lp152.7.3.1
  • libtensorflow_cc2 >= 2.1.2-lp152.7.3.1
  • libtensorflow_cc2-debuginfo >= 2.1.2-lp152.7.3.1
  • libtensorflow_cc2-gnu-hpc >= 2.1.2-lp152.7.3.1
  • libtensorflow_cc2-gnu-hpc-debuginfo >= 2.1.2-lp152.7.3.1
  • libtensorflow_cc2-gnu-openmpi2-hpc >= 2.1.2-lp152.7.3.1
  • libtensorflow_cc2-gnu-openmpi2-hpc-debuginfo >= 2.1.2-lp152.7.3.1
  • libtensorflow_framework2 >= 2.1.2-lp152.7.3.1
  • libtensorflow_framework2-debuginfo >= 2.1.2-lp152.7.3.1
  • libtensorflow_framework2-gnu-hpc >= 2.1.2-lp152.7.3.1
  • libtensorflow_framework2-gnu-hpc-debuginfo >= 2.1.2-lp152.7.3.1
  • libtensorflow_framework2-gnu-openmpi2-hpc >= 2.1.2-lp152.7.3.1
  • libtensorflow_framework2-gnu-openmpi2-hpc-debuginfo >= 2.1.2-lp152.7.3.1
  • tensorflow2 >= 2.1.2-lp152.7.3.1
  • tensorflow2-debuginfo >= 2.1.2-lp152.7.3.1
  • tensorflow2-debugsource >= 2.1.2-lp152.7.3.1
  • tensorflow2-devel >= 2.1.2-lp152.7.3.1
  • tensorflow2-doc >= 2.1.2-lp152.7.3.1
  • tensorflow2-gnu-hpc >= 2.1.2-lp152.7.3.1
  • tensorflow2-gnu-openmpi2-hpc >= 2.1.2-lp152.7.3.1
  • tensorflow2-lite >= 2.1.2-lp152.7.3.1
  • tensorflow2-lite-debuginfo >= 2.1.2-lp152.7.3.1
  • tensorflow2-lite-debugsource >= 2.1.2-lp152.7.3.1
  • tensorflow2-lite-devel >= 2.1.2-lp152.7.3.1
  • tensorflow2_2_1_2-gnu-hpc >= 2.1.2-lp152.7.3.1
  • tensorflow2_2_1_2-gnu-hpc-debuginfo >= 2.1.2-lp152.7.3.1
  • tensorflow2_2_1_2-gnu-hpc-debugsource >= 2.1.2-lp152.7.3.1
  • tensorflow2_2_1_2-gnu-hpc-devel >= 2.1.2-lp152.7.3.1
  • tensorflow2_2_1_2-gnu-hpc-doc >= 2.1.2-lp152.7.3.1
  • tensorflow2_2_1_2-gnu-openmpi2-hpc >= 2.1.2-lp152.7.3.1
  • tensorflow2_2_1_2-gnu-openmpi2-hpc-debuginfo >= 2.1.2-lp152.7.3.1
  • tensorflow2_2_1_2-gnu-openmpi2-hpc-debugsource >= 2.1.2-lp152.7.3.1
  • tensorflow2_2_1_2-gnu-openmpi2-hpc-devel >= 2.1.2-lp152.7.3.1
  • tensorflow2_2_1_2-gnu-openmpi2-hpc-doc >= 2.1.2-lp152.7.3.1
Patchnames:
openSUSE-2020-1766